Subject: Bug#723: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)

From: Michael DePaulo <[email-masked]>
Date: Fri, 9 Jan 2015 10:29:26 -0500

On Fri, Jan 9, 2015 at 9:55 AM, Babutzka, Martin (EKP)
<[email-masked]> wrote:
> Some updates on this bug:
>
> I've tested several VcXsrv-Versions from http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-by-x2go-project/
> The bug purely occurs with the more recent versions of VcXsrv - like 1.15.2.0 and 1.15.2.1
> The bug does NOT occur with the older versions 1.14 (tested 1.14.3.2).
>
> So the bug is caused by changes made in VcXsrv from version 1.14 to 1.15. I used the debug version "vcxsrv-debug.1.15.2.1-xp+vc2013+x2go1.installer.exe" to receive the following trace of the SIGFAULT:
>
[...]

Hi Martin,

This is a bug that I do intend to fix when I get a chance, even if it
means fixing the bug in the VcXsrv code. However, I am not an expert
at C, and I probably will not fix this anytime soon. (Patches from
others are welcome.)

However, in the meantime, you can follow this workaround:
1. Install VcXsrv (VcXsrv-xp) 1.14.3.2 and remember where you installed it.
2. Configure X2Go Client for Windows to use that vcxsrv.exe as an
external X server: Options -> Settings -> X-Server settings

If you have a large number of users or machines that need these
settings, you can save the settings a registry key that can be
exported and imported per-user-account and per-machine. The reg key
is:
[HKEY_CURRENT_USER\Software\Obviously Nice\x2goclient\settings]

-Mike#2